%define	name	xdtv
%define Name	XdTV
%define	version	2.4.0
%define rel		7
%define summary	TV application with plugin capabilities

%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif

# build with -with optimization
%define build_optimization 0
%{?_with_optimization: %{expand: %%define build_optimization 1}}

# build with -with alsa
%define build_alsa 1
%{?_with_alsa: %{expand: %%define build_alsa 1}}

%if %mdkversion >= 200700 
%define app_defaults_dir %{_datadir}/X11/app-defaults
%else
%define app_defaults_dir %{_sysconfdir}/X11/app-defaults
%endif

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{rel}
Summary:	%{summary}
URL:		http://xawdecode.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		xdtv-2.4.0-norms.patch
Group:		Video
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  gpm-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libxpm-devel
BuildRequires:  libneXtaw-devel
BuildRequires:	liblirc-devel
BuildRequires:	libxosd-devel
BuildRequires:	libzvbi-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libtheora-devel
BuildRequires:	libpng-devel
BuildRequires:	desktop-file-utils
# for DVB support
BuildRequires:	SDL-devel curl-devel
%if %mdkversion > 200600
BuildRequires:	bdftopcf
BuildRequires:	xset
BuildRequires:	libxv-devel
BuildRequires:	libxxf86dga-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	libxext-devel
BuildRequires:	libxinerama-devel
%else
BuildRequires:	X11-devel 
BuildRequires:	XFree86
%endif
%if %build_plf
BuildRequires:	xvid-devel	
BuildRequires:	lame
BuildRequires:	liblame-devel
BuildRequires:	x264-devel
BuildRequires:	libfaac-devel
%endif
%if %build_alsa
BuildRequires:  libalsa-devel
BuildRequires:  alsa-utils
Requires:	alsa-utils
%endif
Requires:	tv-fonts
Provides:	xawdecode
Obsoletes:	xawdecode
		
%description
XdTV is a software to watch, record & stream TV.
It interacts with AleVT (Teletext) and Nxtvepg (NextView) & supports
the bttv, bktr & dvb APIs. It contains some deinterlacing filters &
record video files with various containers (AVI, MPEG, OGG, etc.) &
many codecs: FFMpeg >=0.4.6, XviD 0.9 & 1.x, DivX 4 & 5,
Ogg Vorbis + Theora >=1.0a5.
It has some plugin capabilities.

%if %build_plf
This package is in PLF as some of its dependencies are covered by patents.
%endif


%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	xawdecode-devel
Obsoletes:	xawdecode-devel

%description devel
This package contains the development files needed to compile
and link programs which use %{name}.

%prep
%setup -q
%patch0 -p1 -b .norms

%build
%configure \
	--enable-xosd \
	--disable-makefonts \
	--with-appdefaultsdir=%{app_defaults_dir} \
%if !%build_optimization
	--disable-cpu-detection \
%endif
%if !%build_alsa
	--disable-alsa \
%endif
%if !%build_plf
	--disable-lame \
	--disable-faac \
	--disable-x264 \
	--disable-xvid
%endif

%make

%install
rm -fr %{buildroot}
%makeinstall_std

# clean-up
rm -f %{buildroot}%{_datadir}/%{name}/icons/*.png

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{name}-16.png \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m 644 %{name}-32.png \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m 644 %{name}-48.png \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="TV" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_datadir}/applications gentoo/%{name}.desktop

%clean
rm -fr %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%update_icon_cache hicolor
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog FAQfr-xdtv README.* NEWS TODO
%doc lircrc.* lisez-moi xdtvrc.sample
%{app_defaults_dir}/%{Name}
%config(noreplace) %{_sysconfdir}/%{name}/xdtv_wizard-en*.conf
%{_bindir}/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop

%files devel
%defattr(-,root,root)
%doc COPYING README.*
%{_includedir}/*



%changelog
* Fri Jul 11 2008 Olivier Blin <oblin@mandriva.com> 2.4.0-7mdv2009.0
+ Revision: 233659
- support more TV norms (currently 26 video standards are defined in linux/videodev2.h)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 2.4.0-6mdv2008.1
+ Revision: 182391
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Thu Jun 14 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.4.0-5mdv2008.0
+ Revision: 39104
- Added missing BuildRequires for gpm-devel.
- Removed old menu and move icons to freedesktop default theme.

* Sun May 27 2007 Anssi Hannula <anssi@mandriva.org> 2.4.0-4mdv2008.0
+ Revision: 31666
- rebuild for new directfb


* Mon Mar 12 2007 Olivier Blin <oblin@mandriva.com> 2.4.0-3mdv2007.1
+ Revision: 141744
- enable DVB support by buildrequiring curl and SDL devel (thanks to Pingus)

* Sun Mar 04 2007 Olivier Blin <oblin@mandriva.com> 2.4.0-2mdv2007.1
+ Revision: 132104
- explicitely define app-defaults dir (to have a reproducible build instead of depending on present directories)
- explicitely disable fonts build (and do not conflict with required tv-fonts as a result)

* Thu Mar 01 2007 Jérôme Soyer <saispo@mandriva.org> 2.4.0-1mdv2007.1
+ Revision: 130609
- New release 2.4.0
- New release 2.4.0

  + Anssi Hannula <anssi@mandriva.org>
    - Import xdtv

* Thu Aug 31 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-4mdv2007.0
- fix app-defaults location, not a config file

* Thu Aug 31 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-3mdv2007.0
- fix buildrequires

* Sun Aug 06 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-2mdv2007.0
- fix buildrequires

* Tue Jul 18 2006 Anssi Hannula <anssi@mandriva.org> 2.3.3-1mdv2007.0
- 2.3.3
- use neXtaw, configure appears to prefer it
- drop patch0, upstream
- fix buildrequires

* Wed Jul 12 2006 Olivier Blin <blino@mandriva.com> 2.2.0-2mdv2007.0
- initial Mandriva release, based on PLF package
- remove fonts using the new X11 path
- fix macro-in-changelog
- add XDG menu

* Mon Dec 26 2005 Anssi Hannula <anssi@zarb.org> 2.2.0-1plf
- name changed from xawdecode to xdtv
- 2.2.0
- drop buildrequires divx4linux
- enable alsa by default
- update URL
- %%mkrel
- gcc4/x86_64 patch0 from upstream
- update filelist

* Sat Oct 16 2004 Laurent Culioli <laurent@zarb.org> 1.9.3-1plf
- 1.9.3

* Mon Jun 21 2004 Laurent Culioli <laurent@zarb.org> 1.9.2-1plf
- 1.9.2

* Tue Apr 27 2004 Guillaume Bedot <littletux@zarb.org> 1.9.1-1plf
- update to 1.9.1
- reason for plf

